Subject: Re: bug#79145: 31.0.50; doc-view-mode with auto-revert-mode emitting message when it shouldn't

From: Jake <[email-masked]>
Date: Fri, 8 Aug 2025 16:19:35 +0930

Many thanks, Tassilo.

Because the message mentions the key binding, my vote is to only display it
when the buffer is in the selected window.

Jake

On Fri, 8 Aug 2025 at 2:34 pm, Tassilo Horn <[email-masked]> wrote:

> "Tassilo Horn" <[email-masked]> writes:
>
> >> But it was you yourself who claimed that the problem is more general
> >> than just the above.  Did you now change your mind?  Or what did I
> >> miss?
> >
> > Jake's clarification in which he told that especially the
> > advertisement of the doc-view specific key-binding is the actual
> > problem which makes it much worse than the dired example I came up
> > with.
>
> I've fixed that now on master by binding inhibit-message when the
> document buffer is not shown in the selected window so that the message
> isn't shown in the echo area but still logged to *Messages*.
>
> I'm not 100% sure if "buffer isn't shown in the selected window" or
> "buffer isn't shown at all in the selected frame" is the better
> criterion.  What are your opinions?
>
> Bye,
> Tassilo
>